JAVACC(1)

NAME
javacc — a java compiler compiler

SYNOPSIS

javacc [option-settings] [inputfile]

jjtree [option-settings] [inputfile]

jjdoc [inputfile]

DESCRIPTION

This manual page documents briefly the javacc, jjtree and jjdoc commands.

This manual page was written for the Debian distribution because the original program does not have a manual page.

javacc is a parser generator for use with Java

jjtree is a tree builder for javacc

jjdoc is a documentation generator javacc

OPTIONS

javacc, jjtree or jjdoc without any argument prints a small help with the list of available options.

"option-settings" is a sequence of settings separated by spaces. Each option setting must be of one of the following forms:

-optionname=value (e.g. -STATIC=false)

-optionname:value (e.g. -STATIC:false)

-optionname (equivalent to -optionname=true. e.g., -STATIC)

-NOoptionname (equivalent to -optionname=false. e.g., -NOSTATIC)

Option settings are not case-sensitive, so one can say -nOsTaTiC instead of -NOSTATIC. Option values must be appropriate for the corresponding option, and must be either an integer or a string value.

For a list of available options, please refer to the command's internal help.

EXAMPLE

% javacc -STATIC=false -LOOKAHEAD:2 -debug_parser mygrammar.jj

% jjtree -STATIC=false mygrammar.jjt

% jjdoc mygrammar.jj

AUTHOR

This manual page was written by Nicolas Sabouret nico@debian.org for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.